Subject: bug#40116: GDM: Memory leak in .gnome-shell-real process

From: sirgazil <[email-masked]>
Date: Wed, 18 Mar 2020 11:10:49 -0500

---- On Wed, 18 Mar 2020 10:09:57 -0500 Ludovic Courtès <[email-masked]> wrote ----

[...]

 > > It seems that the bug is stronger in the GNOME desktop, but I've seen, at least once, .gnome-shell-real using an abnormal amount of RAM while in sway (about 800 MiB).
 > 
 > Could you check if it happens in a VM?  That is, you build your GNOME
 > config with ‘guix system vm’, try to do some activity in the VM, and
 > check in top whether ‘gnome-shell’ is growing.

I can try, but last time I did something like that the VM with GNOME was too slow to do anything (this computer only has 4 GiB of RAM).